Toggle menu
Toggle preferences menu
Toggle personal menu
Nejste přihlášen(a)
Your IP address will be publicly visible if you make any edits.

Šablona:Hlavní strana/styl.css: Porovnání verzí

Z Draconia RP Wiki
main page styles
 
center card headings
 
Řádek 81: Řádek 81:
font-weight: 600;
font-weight: 600;
letter-spacing: 0.03em;
letter-spacing: 0.03em;
text-align: center;
}
}



Aktuální verze z 15. 7. 2026, 17:20

.home-header {
	position: relative;
	padding-block: 3.5rem;
	line-height: var( --line-height-xx-small );
	text-align: center;
}

.home-header__pretitle {
	margin-bottom: var( --space-xxs );
	color: var( --color-subtle );
	font-size: var( --font-size-small );
	letter-spacing: 0.05em;
}

.home-header__title {
	--display-font-size: min( calc( 2.5rem + 3.9vw ), 4.5rem );
	margin: 0;
	font-family: var( --tg-font-family-heading );
	font-size: var( --display-font-size );
	line-height: 0.9;
	font-weight: 600;
	color: var( --color-primary );
}

.home-header__subtitle {
	margin-top: var( --space-xxs );
	color: var( --color-subtle );
	font-size: var( --font-size-small );
}

.home-header__search {
	padding: var( --space-md );
	margin-top: var( --space-xl );
	margin-left: auto;
	margin-right: auto;
	max-width: 600px;
	border: var( --border-base );
	border-radius: var( --border-radius-pill );
	background-color: var( --color-surface-1 );
	cursor: pointer;
	font-size: var( --font-size-small );
	font-weight: var( --font-weight-medium );
	text-align: center;
}

.home-header__search:hover {
	background: var( --color-surface-0 );
	border-color: var( --color-primary );
}

.home-header__searchIcon {
	display: inline-block;
	width: var( --size-icon, 1.25rem );
	height: var( --size-icon, 1.25rem );
	vertical-align: middle;
	margin-right: var( --space-md );
	opacity: var( --opacity-icon-base );
}

.home-grid {
	display: grid;
	grid: auto-flow dense/repeat( auto-fit, minmax( 9.375rem, 1fr ) );
	grid-auto-rows: minmax( 3rem, auto );
	grid-gap: var( --space-xs );
	margin-top: var( --space-lg );
}

.home-card {
	position: relative;
	padding: var( --space-md );
	border: 1px solid var( --border-color-base );
	background: var( --color-surface-1 );
	border-radius: var( --border-radius-medium );
	font-size: var( --font-size-small );
}

.home-card__label {
	color: var( --color-primary );
	font-family: var( --tg-font-family-heading );
	font-size: var( --font-size-large );
	font-weight: 600;
	letter-spacing: 0.03em;
	text-align: center;
}

.home-link {
	display: grid;
	margin-top: var( --space-xs );
	font-size: var( --font-size-small );
	font-weight: var( --font-weight-medium );
	grid-gap: var( --space-xs );
	text-align: center;
}

.home-link__button {
	display: flex;
}

.home-link__button a {
	flex-grow: 1;
	padding: var( --space-xs );
	border: 1px solid var( --border-color-base );
	background: var( --color-surface-2 );
	border-radius: var( --border-radius-medium );
	color: var( --color-emphasized ) !important;
	line-height: var( --line-height-xxx-small );
	text-decoration: none !important;
}

.home-link__button a:hover {
	background: var( --color-surface-3 );
	border-color: var( --color-primary );
}

.home-link__button a:active {
	background: var( --color-surface-4 );
}

#home-content {
	margin-top: var( --space-lg );
}

.home-footer {
	margin-top: var( --space-lg );
	font-size: var( --font-size-small );
	text-align: center;
}

.home-footer a {
	color: var( --color-primary );
}